package com.yunfeiyun.agmp.common.annotation;

import java.lang.annotation.*;

/**
 * @Description: 任意name-value匹配即可
 * 杨晓辉
 */
@Target({ElementType.TYPE, ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
//@Conditional(value = RunConditional.class)
public @interface ConditionalRun {

    String  level() default "post";

    String name() default "";

    String[] key() default {};

    String[] value() default {};

}